openSUSE: 2021:1570-1: moderate: php7

Advisories


   openSUSE Security Update: Recommended update for php7
______________________________________________________________________________

Announcement ID:    openSUSE-SU-2021:1570-1
Rating:             moderate
References:         #1175508 #1192050 #1193041 
Cross-References:   CVE-2021-21703 CVE-2021-21707
CVSS scores:
                    CVE-2021-21703 (NVD) : 7 CVSS:3.1/AV:L/AC:H/PR:L/UI:N/S:U/C:H/I:H/A:H
                    CVE-2021-21703 (SUSE): 6.4 CVSS:3.1/AV:L/AC:H/PR:H/UI:N/S:U/C:H/I:H/A:H
                    CVE-2021-21707 (SUSE): 5.3 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:L/A:N

Affected Products:
                    openSUSE Leap 15.2
______________________________________________________________________________

   An update that solves two vulnerabilities and has one
   errata is now available.

Description:

   This update for php7 fixes the following issues:

   - CVE-2021-21703: Fixed local privilege escalation via PHP-FPM
     (bsc#1192050).
   - CVE-2021-21707: Fixed special character breaks path in xml parsing
     (bsc#1193041).

   - Added patch to prevent memory access violation in php7 when running test
     suite (bsc#1175508)

   This update was imported from the SUSE:SLE-15-SP2:Update update project.


Patch Instructions:

   To install this openSUSE Security Update use the SUSE recommended installation methods
   like YaST online_update or "zypper patch".

   Alternatively you can run the command listed for your product:

   - openSUSE Leap 15.2:

      zypper in -t patch openSUSE-2021-1570=1



Package List:

   - openSUSE Leap 15.2 (i586 x86_64):

      apache2-mod_php7-7.4.6-lp152.2.21.1
      apache2-mod_php7-debuginfo-7.4.6-lp152.2.21.1
      php7-7.4.6-lp152.2.21.1
      php7-bcmath-7.4.6-lp152.2.21.1
      php7-bcmath-debuginfo-7.4.6-lp152.2.21.1
      php7-bz2-7.4.6-lp152.2.21.1
      php7-bz2-debuginfo-7.4.6-lp152.2.21.1
      php7-calendar-7.4.6-lp152.2.21.1
      php7-calendar-debuginfo-7.4.6-lp152.2.21.1
      php7-ctype-7.4.6-lp152.2.21.1
      php7-ctype-debuginfo-7.4.6-lp152.2.21.1
      php7-curl-7.4.6-lp152.2.21.1
      php7-curl-debuginfo-7.4.6-lp152.2.21.1
      php7-dba-7.4.6-lp152.2.21.1
      php7-dba-debuginfo-7.4.6-lp152.2.21.1
      php7-debuginfo-7.4.6-lp152.2.21.1
      php7-debugsource-7.4.6-lp152.2.21.1
      php7-devel-7.4.6-lp152.2.21.1
      php7-dom-7.4.6-lp152.2.21.1
      php7-dom-debuginfo-7.4.6-lp152.2.21.1
      php7-embed-7.4.6-lp152.2.21.1
      php7-embed-debuginfo-7.4.6-lp152.2.21.1
      php7-enchant-7.4.6-lp152.2.21.1
      php7-enchant-debuginfo-7.4.6-lp152.2.21.1
      php7-exif-7.4.6-lp152.2.21.1
      php7-exif-debuginfo-7.4.6-lp152.2.21.1
      php7-fastcgi-7.4.6-lp152.2.21.1
      php7-fastcgi-debuginfo-7.4.6-lp152.2.21.1
      php7-fileinfo-7.4.6-lp152.2.21.1
      php7-fileinfo-debuginfo-7.4.6-lp152.2.21.1
      php7-firebird-7.4.6-lp152.2.21.1
      php7-firebird-debuginfo-7.4.6-lp152.2.21.1
      php7-fpm-7.4.6-lp152.2.21.1
      php7-fpm-debuginfo-7.4.6-lp152.2.21.1
      php7-ftp-7.4.6-lp152.2.21.1
      php7-ftp-debuginfo-7.4.6-lp152.2.21.1
      php7-gd-7.4.6-lp152.2.21.1
      php7-gd-debuginfo-7.4.6-lp152.2.21.1
      php7-gettext-7.4.6-lp152.2.21.1
      php7-gettext-debuginfo-7.4.6-lp152.2.21.1
      php7-gmp-7.4.6-lp152.2.21.1
      php7-gmp-debuginfo-7.4.6-lp152.2.21.1
      php7-iconv-7.4.6-lp152.2.21.1
      php7-iconv-debuginfo-7.4.6-lp152.2.21.1
      php7-intl-7.4.6-lp152.2.21.1
      php7-intl-debuginfo-7.4.6-lp152.2.21.1
      php7-json-7.4.6-lp152.2.21.1
      php7-json-debuginfo-7.4.6-lp152.2.21.1
      php7-ldap-7.4.6-lp152.2.21.1
      php7-ldap-debuginfo-7.4.6-lp152.2.21.1
      php7-mbstring-7.4.6-lp152.2.21.1
      php7-mbstring-debuginfo-7.4.6-lp152.2.21.1
      php7-mysql-7.4.6-lp152.2.21.1
      php7-mysql-debuginfo-7.4.6-lp152.2.21.1
      php7-odbc-7.4.6-lp152.2.21.1
      php7-odbc-debuginfo-7.4.6-lp152.2.21.1
      php7-opcache-7.4.6-lp152.2.21.1
      php7-opcache-debuginfo-7.4.6-lp152.2.21.1
      php7-openssl-7.4.6-lp152.2.21.1
      php7-openssl-debuginfo-7.4.6-lp152.2.21.1
      php7-pcntl-7.4.6-lp152.2.21.1
      php7-pcntl-debuginfo-7.4.6-lp152.2.21.1
      php7-pdo-7.4.6-lp152.2.21.1
      php7-pdo-debuginfo-7.4.6-lp152.2.21.1
      php7-pgsql-7.4.6-lp152.2.21.1
      php7-pgsql-debuginfo-7.4.6-lp152.2.21.1
      php7-phar-7.4.6-lp152.2.21.1
      php7-phar-debuginfo-7.4.6-lp152.2.21.1
      php7-posix-7.4.6-lp152.2.21.1
      php7-posix-debuginfo-7.4.6-lp152.2.21.1
      php7-readline-7.4.6-lp152.2.21.1
      php7-readline-debuginfo-7.4.6-lp152.2.21.1
      php7-shmop-7.4.6-lp152.2.21.1
      php7-shmop-debuginfo-7.4.6-lp152.2.21.1
      php7-snmp-7.4.6-lp152.2.21.1
      php7-snmp-debuginfo-7.4.6-lp152.2.21.1
      php7-soap-7.4.6-lp152.2.21.1
      php7-soap-debuginfo-7.4.6-lp152.2.21.1
      php7-sockets-7.4.6-lp152.2.21.1
      php7-sockets-debuginfo-7.4.6-lp152.2.21.1
      php7-sodium-7.4.6-lp152.2.21.1
      php7-sodium-debuginfo-7.4.6-lp152.2.21.1
      php7-sqlite-7.4.6-lp152.2.21.1
      php7-sqlite-debuginfo-7.4.6-lp152.2.21.1
      php7-sysvmsg-7.4.6-lp152.2.21.1
      php7-sysvmsg-debuginfo-7.4.6-lp152.2.21.1
      php7-sysvsem-7.4.6-lp152.2.21.1
      php7-sysvsem-debuginfo-7.4.6-lp152.2.21.1
      php7-sysvshm-7.4.6-lp152.2.21.1
      php7-sysvshm-debuginfo-7.4.6-lp152.2.21.1
      php7-test-7.4.6-lp152.2.21.1
      php7-tidy-7.4.6-lp152.2.21.1
      php7-tidy-debuginfo-7.4.6-lp152.2.21.1
      php7-tokenizer-7.4.6-lp152.2.21.1
      php7-tokenizer-debuginfo-7.4.6-lp152.2.21.1
      php7-xmlreader-7.4.6-lp152.2.21.1
      php7-xmlreader-debuginfo-7.4.6-lp152.2.21.1
      php7-xmlrpc-7.4.6-lp152.2.21.1
      php7-xmlrpc-debuginfo-7.4.6-lp152.2.21.1
      php7-xmlwriter-7.4.6-lp152.2.21.1
      php7-xmlwriter-debuginfo-7.4.6-lp152.2.21.1
      php7-xsl-7.4.6-lp152.2.21.1
      php7-xsl-debuginfo-7.4.6-lp152.2.21.1
      php7-zip-7.4.6-lp152.2.21.1
      php7-zip-debuginfo-7.4.6-lp152.2.21.1
      php7-zlib-7.4.6-lp152.2.21.1
      php7-zlib-debuginfo-7.4.6-lp152.2.21.1


References:

   https://www.suse.com/security/cve/CVE-2021-21703.html
   https://www.suse.com/security/cve/CVE-2021-21707.html
   https://bugzilla.suse.com/1175508
   https://bugzilla.suse.com/1192050
   https://bugzilla.suse.com/1193041

openSUSE: 2021:1570-1: moderate: php7

December 10, 2021
An update that solves two vulnerabilities and has one errata is now available

Description

This update for php7 fixes the following issues: - CVE-2021-21703: Fixed local privilege escalation via PHP-FPM (bsc#1192050). - CVE-2021-21707: Fixed special character breaks path in xml parsing (bsc#1193041). - Added patch to prevent memory access violation in php7 when running test suite (bsc#1175508) This update was imported from the SUSE:SLE-15-SP2:Update update project.

Patch

To install this openSUSE Security Update use the SUSE recommended installation methods like YaST online_update or "zypper patch". Alternatively you can run the command listed for your product: - openSUSE Leap 15.2: zypper in -t patch openSUSE-2021-1570=1

Package List

- openSUSE Leap 15.2 (i586 x86_64): apache2-mod_php7-7.4.6-lp152.2.21.1 apache2-mod_php7-debuginfo-7.4.6-lp152.2.21.1 php7-7.4.6-lp152.2.21.1 php7-bcmath-7.4.6-lp152.2.21.1 php7-bcmath-debuginfo-7.4.6-lp152.2.21.1 php7-bz2-7.4.6-lp152.2.21.1 php7-bz2-debuginfo-7.4.6-lp152.2.21.1 php7-calendar-7.4.6-lp152.2.21.1 php7-calendar-debuginfo-7.4.6-lp152.2.21.1 php7-ctype-7.4.6-lp152.2.21.1 php7-ctype-debuginfo-7.4.6-lp152.2.21.1 php7-curl-7.4.6-lp152.2.21.1 php7-curl-debuginfo-7.4.6-lp152.2.21.1 php7-dba-7.4.6-lp152.2.21.1 php7-dba-debuginfo-7.4.6-lp152.2.21.1 php7-debuginfo-7.4.6-lp152.2.21.1 php7-debugsource-7.4.6-lp152.2.21.1 php7-devel-7.4.6-lp152.2.21.1 php7-dom-7.4.6-lp152.2.21.1 php7-dom-debuginfo-7.4.6-lp152.2.21.1 php7-embed-7.4.6-lp152.2.21.1 php7-embed-debuginfo-7.4.6-lp152.2.21.1 php7-enchant-7.4.6-lp152.2.21.1 php7-enchant-debuginfo-7.4.6-lp152.2.21.1 php7-exif-7.4.6-lp152.2.21.1 php7-exif-debuginfo-7.4.6-lp152.2.21.1 php7-fastcgi-7.4.6-lp152.2.21.1 php7-fastcgi-debuginfo-7.4.6-lp152.2.21.1 php7-fileinfo-7.4.6-lp152.2.21.1 php7-fileinfo-debuginfo-7.4.6-lp152.2.21.1 php7-firebird-7.4.6-lp152.2.21.1 php7-firebird-debuginfo-7.4.6-lp152.2.21.1 php7-fpm-7.4.6-lp152.2.21.1 php7-fpm-debuginfo-7.4.6-lp152.2.21.1 php7-ftp-7.4.6-lp152.2.21.1 php7-ftp-debuginfo-7.4.6-lp152.2.21.1 php7-gd-7.4.6-lp152.2.21.1 php7-gd-debuginfo-7.4.6-lp152.2.21.1 php7-gettext-7.4.6-lp152.2.21.1 php7-gettext-debuginfo-7.4.6-lp152.2.21.1 php7-gmp-7.4.6-lp152.2.21.1 php7-gmp-debuginfo-7.4.6-lp152.2.21.1 php7-iconv-7.4.6-lp152.2.21.1 php7-iconv-debuginfo-7.4.6-lp152.2.21.1 php7-intl-7.4.6-lp152.2.21.1 php7-intl-debuginfo-7.4.6-lp152.2.21.1 php7-json-7.4.6-lp152.2.21.1 php7-json-debuginfo-7.4.6-lp152.2.21.1 php7-ldap-7.4.6-lp152.2.21.1 php7-ldap-debuginfo-7.4.6-lp152.2.21.1 php7-mbstring-7.4.6-lp152.2.21.1 php7-mbstring-debuginfo-7.4.6-lp152.2.21.1 php7-mysql-7.4.6-lp152.2.21.1 php7-mysql-debuginfo-7.4.6-lp152.2.21.1 php7-odbc-7.4.6-lp152.2.21.1 php7-odbc-debuginfo-7.4.6-lp152.2.21.1 php7-opcache-7.4.6-lp152.2.21.1 php7-opcache-debuginfo-7.4.6-lp152.2.21.1 php7-openssl-7.4.6-lp152.2.21.1 php7-openssl-debuginfo-7.4.6-lp152.2.21.1 php7-pcntl-7.4.6-lp152.2.21.1 php7-pcntl-debuginfo-7.4.6-lp152.2.21.1 php7-pdo-7.4.6-lp152.2.21.1 php7-pdo-debuginfo-7.4.6-lp152.2.21.1 php7-pgsql-7.4.6-lp152.2.21.1 php7-pgsql-debuginfo-7.4.6-lp152.2.21.1 php7-phar-7.4.6-lp152.2.21.1 php7-phar-debuginfo-7.4.6-lp152.2.21.1 php7-posix-7.4.6-lp152.2.21.1 php7-posix-debuginfo-7.4.6-lp152.2.21.1 php7-readline-7.4.6-lp152.2.21.1 php7-readline-debuginfo-7.4.6-lp152.2.21.1 php7-shmop-7.4.6-lp152.2.21.1 php7-shmop-debuginfo-7.4.6-lp152.2.21.1 php7-snmp-7.4.6-lp152.2.21.1 php7-snmp-debuginfo-7.4.6-lp152.2.21.1 php7-soap-7.4.6-lp152.2.21.1 php7-soap-debuginfo-7.4.6-lp152.2.21.1 php7-sockets-7.4.6-lp152.2.21.1 php7-sockets-debuginfo-7.4.6-lp152.2.21.1 php7-sodium-7.4.6-lp152.2.21.1 php7-sodium-debuginfo-7.4.6-lp152.2.21.1 php7-sqlite-7.4.6-lp152.2.21.1 php7-sqlite-debuginfo-7.4.6-lp152.2.21.1 php7-sysvmsg-7.4.6-lp152.2.21.1 php7-sysvmsg-debuginfo-7.4.6-lp152.2.21.1 php7-sysvsem-7.4.6-lp152.2.21.1 php7-sysvsem-debuginfo-7.4.6-lp152.2.21.1 php7-sysvshm-7.4.6-lp152.2.21.1 php7-sysvshm-debuginfo-7.4.6-lp152.2.21.1 php7-test-7.4.6-lp152.2.21.1 php7-tidy-7.4.6-lp152.2.21.1 php7-tidy-debuginfo-7.4.6-lp152.2.21.1 php7-tokenizer-7.4.6-lp152.2.21.1 php7-tokenizer-debuginfo-7.4.6-lp152.2.21.1 php7-xmlreader-7.4.6-lp152.2.21.1 php7-xmlreader-debuginfo-7.4.6-lp152.2.21.1 php7-xmlrpc-7.4.6-lp152.2.21.1 php7-xmlrpc-debuginfo-7.4.6-lp152.2.21.1 php7-xmlwriter-7.4.6-lp152.2.21.1 php7-xmlwriter-debuginfo-7.4.6-lp152.2.21.1 php7-xsl-7.4.6-lp152.2.21.1 php7-xsl-debuginfo-7.4.6-lp152.2.21.1 php7-zip-7.4.6-lp152.2.21.1 php7-zip-debuginfo-7.4.6-lp152.2.21.1 php7-zlib-7.4.6-lp152.2.21.1 php7-zlib-debuginfo-7.4.6-lp152.2.21.1

References

https://www.suse.com/security/cve/CVE-2021-21703.html https://www.suse.com/security/cve/CVE-2021-21707.html https://bugzilla.suse.com/1175508 https://bugzilla.suse.com/1192050 https://bugzilla.suse.com/1193041

Severity
Announcement ID: openSUSE-SU-2021:1570-1
Rating: moderate
Affected Products: openSUSE Leap 15.2 ble.

Related News

We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.